#!/bin/sh
KER_VER=`uname -r`
DRIVER_PATH="/lib/modules/$KER_VER/kernel/drivers/usb/misc/"
device="nfrd05"
echo "uninstalling driver......."
#remove stale node
  rm -f /dev/${device}[0-7]

# uninstall driver from kernel space
 /sbin/rmmod nfrd05rf.ko
  
#delete module from source
if [ -f $DRIVER_PATH/nfrd05rf.ko ]; then
	rm -f $DRIVER_PATH/nfrd05rf.ko
fi
#remove headerfile
if [ -f /usr/include/linux/nfrd05rf.h ]; then
	rm -f /usr/include/linux/nfrd05rf.h
fi
#remove user module
if [ -f /lib/nfrd05rf.so ]; then
	rm -f /lib/nfrd05rf.so
fi
#remove Device conf. file
if [ -f /etc/nfrd05rf.conf ]; then
	rm -f /etc/nfrd05rf.conf
fi
echo "HFDU05 driver un-installed successfully"
